{% extends 'base.html' %}
{% block content %}
	<div class="panel">
	<div class="row">
		<div class="col-xs-9">
			<h3 class="text-success text-center"><strong>Job Category : {{ category }}</strong></h3>
			<hr>
			{% if result %}
				<div align="center">
				<table class="table table-hover table-striped">
					<thead>
                        <tr>
                            <td>Type</td>
                            <td>Title<br />-Company Name</td>
                            <td>Location</td>
                            <td>Posted On</td>
                            <td>Deadline</td>
                        </tr>
                    </thead>
					<tbody>
						{% for item in result %}
							<tr>
							<td>{{ item.jobType}}</td>
							<td><a href="{% url "job" item.id %}">{{ item.jobTitle }}<br>-{{ item.companyName }}</a></td>
							<td>{{ item.jobLocation }}</td>
							<td>{{ item.jobCreated }}</td>
							<td>{{ item.applyDeadline }}</td>
							</tr>
						{% endfor %}
					</tbody>
				</table>
				</div>

				<!--Paginator starts here -->

            <div align="right">
                <ul class="pagination">
                	{%if result.has_previous%}
                   <li class="prev"><a href="?page={{ result.previous_page_number }}">← Previous</a></li>
                   	{%endif%}

                   	{% for pg in result.paginator.page_range%}
                   	{% if result.number == pg %}
                   <li class="active"><a href="?page={{pg}}">{{pg}}</a></li>
                   {%else%}
                   	<li class=""><a href="?page={{pg}}">{{pg}}</a></li>
                   	{%endif%}
                    {%endfor%}
                   {%if result.has_next%}
                   <li class="next"><a href="?page={{ result.next_page_number }}">Next → </a></li>
               		{%endif%}
               	</ul>
            </div>
        <!--Paginator starts ends here -->

				
			{% else %}
				<h2 class="text-danger text-center">Sorry, We Couldn't Find any Result.</h2>
			{% endif %}
		</div>

		<div class="col-xs-3">
			<h2 class="text-warning">Filter Jobs</h2>
			<form class="form-group" action="{% url 'search2' %}" method="post">{% csrf_token %}
				<label>Job Category &nbsp</label>
				<select class="form-control" type="text" name='category'>
					<option>All</option>
					{% for item in category %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Type &nbsp</label>
				<select class="form-control" type="text" name='type'>
					<option>All</option>
					{% for item in jobtype %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Salary &nbsp</label>
				<select class="form-control" type="text" name='salary'>
					<option>All</option>
					{% for item in salary %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Location &nbsp</label>
				<select class="form-control" type="text" name='location'>
					<option>All</option>
					{% for item in location %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>

				<br /><br />
				<button class="btn btn-success btn-lg btn-block" type="submit">Search</button>
				
			</form>

		</div>

	</div>
	</div>
{% endblock content %}